Beefy Boxes and Bandwidth Generously Provided by pair Networks
Don't ask to ask, just ask
 
PerlMonks  

Re: checkVat - SOAP::Lite

by Anonymous Monk
on May 04, 2011 at 11:19 UTC ( #902848=note: print w/ replies, xml ) Need Help??


in reply to checkVat - SOAP::Lite

Anyone who have any ideas about this?

Try SOAP::Simple


Comment on Re: checkVat - SOAP::Lite
Re^2: checkVat - SOAP::Lite
by DreamT (Pilgrim) on May 04, 2011 at 11:58 UTC
    Can't install it via CPAN, strange.
      cpanp i BERLE/SOAP-Simple-0.00_03.tar.gz
        It almost worked, but XML::Compile::SOAP is causing problems:


        Installing SOAP::Simple (0.00_03)
        Running /usr/bin/perl /usr/bin/cpanp-run-perl /home/user/.cpanplus/5.10.1/build/SOAP-Simple-0.00_03/Makefile.PL INSTALLDIRS=site...
        Cannot determine perl version info from lib/SOAP/Simple.pm
        Warning: prerequisite XML::Compile::SOAP 2.03 not found.
        Writing Makefile for SOAP::Simple

        Module 'SOAP::Simple' requires 'XML::Compile::SOAP' to be installed

        If you don't wish to see this question anymore
        you can disable it by entering the following commands on the prompt:
        's conf prereqs 1; s save'


        1> Yes
        2> No
        3> Yes to all (for this module)
        4> No to all (for this module)

        Should I install this module? 1: 3
        Running /usr/bin/perl /usr/bin/cpanp-run-perl /home/user/.cpanplus/5.10.1/build/XML-Compile-SOAP-2.23/Makefile.PL INSTALLDIRS=site...
        Warning: prerequisite XML::Compile 1.2 not found.
        Warning: prerequisite XML::Compile::Cache 0.98 not found.
        Writing Makefile for XML::Compile::SOAP

        Module 'XML::Compile::SOAP' requires 'XML::Compile' to be installed

        Running /usr/bin/perl /usr/bin/cpanp-run-perl /home/user/.cpanplus/5.10.1/build/XML-Compile-1.21/Makefile.PL INSTALLDIRS=site...
        Warning: prerequisite XML::LibXML 1.7 not found.
        Writing Makefile for XML::Compile

        Module 'XML::Compile' requires 'XML::LibXML' to be installed

        Running /usr/bin/perl /usr/bin/cpanp-run-perl /home/user/.cpanplus/5.10.1/build/XML-LibXML-1.70/Makefile.PL INSTALLDIRS=site...
        enable native perl UTF8
        running xml2-config...
        using fallback values for LIBS and INC
        options:
        LIBS='-L/usr/local/lib -L/usr/lib -lxml2 -lm'
        INC='-I/usr/local/include -I/usr/include'
        If this is wrong, Re-run as:
        $ /usr/bin/perl Makefile.PL LIBS='-L/path/to/lib' INC='-I/path/to/include'

        looking for -lxml2... no
        looking for -llibxml2... libxml2 not found
        Try setting LIBS and INC values on the command line
        Or get libxml2 from
        http://xmlsoft.org/
        If you install via RPMs, make sure you also install the -devel
        RPMs, as this is where the headers (.h files) are.

        Also, you may try to run perl Makefile.PL with the DEBUG=1 parameter
        to see the exact reason why the detection of libxml2 installation
        failed or why Makefile.PL was not able to compile a test program.
        no
        ERROR File '/home/user/.cpanplus/5.10.1/build/XML-LibXML-1.70/Makefile' is not readable or does not exist

        Key 'file' (/home/user/.cpanplus/5.10.1/build/XML-LibXML-1.70/Makefile) is of invalid type for 'CPANPLUS::Dist::MM::_find_prereqs' provided by CPANPLUS::Dist::MM::prepare at /usr/share/perl/5.10/CPANPLUS/Module.pm line 815
        ERROR Unable to scan '/home/user/.cpanplus/5.10.1/build/XML-LibXML-1.70/Makefile' for prereqs

        ERROR Unable to create a new distribution object for 'XML::LibXML' -- cannot continue

        ERROR Failed to install 'XML::LibXML' as prerequisite for 'XML::Compile'

        ERROR Unable to satisfy prerequisites for 'XML::Compile' -- aborting install

        ERROR Unable to create a new distribution object for 'XML::Compile' -- cannot continue

        ERROR Failed to install 'XML::Compile' as prerequisite for 'XML::Compile::SOAP'

        ERROR Unable to satisfy prerequisites for 'XML::Compile::SOAP' -- aborting install

        ERROR Unable to create a new distribution object for 'XML::Compile::SOAP' -- cannot continue

        ERROR Failed to install 'XML::Compile::SOAP' as prerequisite for 'SOAP::Simple'

        ERROR Unable to satisfy prerequisites for 'SOAP::Simple' -- aborting install

        ERROR Unable to create a new distribution object for 'SOAP::Simple' -- cannot continue

        *** Install log written to:
        /home/user/.cpanplus/install-logs/SOAP-Simple-0.00_03-1304513112.log

        Error installing 'SOAP::Simple'
        Problem installing one or more modules

      I'm sure you got more information other than "Can't install". Perhaps if you tell us what cpan actually told you we'd be able to help.

        The info I got was:
        cpan5> install SOAP::Simple
        Warning: Cannot install SOAP::Simple, don't know what it is.
        Try the command

        i /SOAP::Simple/

        to find objects with matching identifiers.


        I got some additional info the first time I ran it, but unfortunately I didn't save that. The displayed summary showed the above, though.
        Developer releases aren't included on the modlist
        No such module: SOAP::Simple No modules found to operate on! Nothing done

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://902848]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others scrutinizing the Monastery: (7)
As of 2014-09-02 23:11 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    My favorite cookbook is:










    Results (32 votes), past polls